%macro m_BranchIf 4-5
	;this macro is just a simple branch if condition is true
	;type macro

	;example of use:
	;m_BranchIf ax,e,0x40,SomeLabel,SomeOtherLabel
	;would branch to SomeLabel if ax=0x40, otherwise to
	;SomeOtherLabel.  Note that the 'else' label is optional

	;tip - if you know a jump will be a short, you can pass that
	;in the parameter such as:
	;m_BranchIf ax,e,0x40,short SomeLabel,short SomeOtherLabel

	cmp %1,%3
	j%-2 %%skip
	jmp %4
%%skip
%if %0=5
	jmp %5
%endif
%endmacro

%macro m_CallIf 4-5
	;this macro is just a simple call if condition is true
	;type macro

	;example of use:
	;m_CallIf ax,e,0x40,SomeLabel,SomeOtherLabel
	;would call SomeLabel if ax=0x40, otherwise call
	;SomeOtherLabel.  Note that the 'else' label is optional

	;tip: you can specify the type of call before each label

	cmp %1,%3
	j%-2 %%skip
	call %4
%%skip
%if %0=5
	call %5
%endif
%endmacro